MolDescriptors.h File Reference
`#include <GraphMol/Descriptors/Crippen.h>`
`#include <GraphMol/Descriptors/MolSurf.h>`
`#include <GraphMol/Descriptors/Lipinski.h>`
`#include <GraphMol/Descriptors/ConnectivityDescriptors.h>`
`#include <GraphMol/Descriptors/MQN.h>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::Descriptors

## Functions

double | RDKit::Descriptors::calcAMW (const ROMol &mol, bool onlyHeavy=false)
double | RDKit::Descriptors::calcExactMW (const ROMol &mol, bool onlyHeavy=false)
std::string | RDKit::Descriptors::calcMolFormula (const ROMol &mol, bool separateIsotopes=false, bool abbreviateHIsotopes=true)